HFST-INFO(1)

NAME
hfst-info - =show or test HFST versions and features

SYNOPSIS
hfst-info [OPTIONS...] [INFILE]

DESCRIPTION
show or test HFST versions and features

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Test features:

-a, --atleast-version=MVER
    require at least MVER version of HFST

-e, --exact-version=EVER
    require exactly EVER version of HFST

-m, --max-version=UVER
    require at most UVER version of HFST

-f, --requirefeature=FEAT
    require named FEAT support from HFST

MVER, EVER or UVER version vectors must be composed of one to three full stop separated runs of digits. FEAT should be name of feature supported by HFST, such as SFST, foma or openfst

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-info home page: <https://github.com/hfst/hfst/wiki/HfstInfo>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.